package cz.frantovo.nekurak.util;

/**
 * Validátor komentářů
 * @author fiki
 */
public class Komentare {

    /**
     * Escapuje XML a doplní XHTML zalomení na konce řádků.
     * @param komentar prostý text zadaný uživatelem
     * @return XHTML komentář bez kořenového elementu
     */
    public static String upravProstyText(String komentar) {
	komentar = escapujXML(komentar);
	return "<p>" + komentar.replaceAll("\n", "<br/>") + "</p>";
    }

    /**
     *
     * @param komentar vstupní XHTML
     * @return XHTML obalené kořenovým elementem
     */
    public static String obal(String komentar) {
	return "<div>" + komentar + "</div>";
    }

    /**
     * zkontroluje komentář oproti schématu
     * @param komentar
     * @return jestli komentář odpovídá
     */
    public boolean isValidniXHTML(String komentar) {
	return false;
    }

    private static String escapujXML(String str) {
	return str.replaceAll("&", "&amp;").replaceAll("<", "&lt;").replaceAll(">", "&gt;").replaceAll("\"", "&quot;").replaceAll("'", "&apos;");

    }
}
